Pterodactyldocs
Admin A P I

List servers

Returns a paginated list of servers.

GET/api/admin/servers
AuthorizationBearer <token>

Application API requests require an application API token, or a client API token, that belongs to a root administrator. Admin API requests require a client API token that belongs to a root administrator, and reject application API tokens. Client API requests require a client API token.

In: header

Query Parameters

filter[*]?string

Search servers by UUID, name, owner, node, allocation, or external identifier.

filter[uuid]?string

Filter servers by UUID.

filter[uuidShort]?string

Filter servers by short UUID identifier.

filter[name]?string

Filter servers by name.

filter[external_id]?string

Filter servers by external identifier.

filter[image]?string

Filter servers by Docker image.

filter[node_id]?integer

Filter servers by node ID.

filter[owner_id]?integer

Filter servers by owner user ID.

sort?string

Sort servers by id, uuid, name, or creation time. Prefix with a hyphen for descending order.

include?string

Comma-separated relationships to include. Supports allocation, allocations, user, subusers, egg, variables, location, node, and databases.

page?integer

Page number to retrieve.

per_page?integer

Results to return per page.

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/api/admin/servers?filter%5B*%5D=Survival&filter%5Buuid%5D=1b19cf3f-2f89-4f88-a81e-321e7fe326bc&filter%5BuuidShort%5D=1b19cf3f&filter%5Bname%5D=Survival&filter%5Bexternal_id%5D=remote-123&filter%5Bimage%5D=ghcr.io%2Fpterodactyl%2Fyolks%3Ajava_21&filter%5Bnode_id%5D=1&filter%5Bowner_id%5D=1&sort=-created_at&include=user%2Cnode%2Callocation&page=1&per_page=50"
{  "object": "list",  "data": [    {      "object": "server",      "attributes": {        "id": 8140,        "external_id": "string",        "uuid": "e5628a06-7ba6-4206-8a87-c2aeb91669ec",        "identifier": "kqhvptzk",        "name": "Leo",        "description": "Et modi ipsum nostrum omnis autem et consequatur. Dolores enim non facere tempora. Voluptatem laboriosam praesentium quis adipisci.",        "status": "string",        "suspended": false,        "limits": {          "memory": 512,          "swap": 0,          "disk": 512,          "io": 500,          "cpu": 0,          "threads": "string",          "oom_disabled": false        },        "feature_limits": {          "databases": 0,          "allocations": 0,          "backups": 0        },        "user": 22139,        "node": 13361,        "allocation": 9849,        "egg": 9866,        "container": {          "startup_command": "/bin/bash echo \"hello world\"",          "image": "foo/bar:latest",          "skip_scripts": false,          "installed": 1,          "environment": {            "SERVER_JARFILE": "server.jar"          }        },        "updated_at": "2026-09-22T14:45:24+00:00",        "created_at": "2026-09-22T14:45:24+00:00",        "relationships": {          "allocation": {            "object": "allocation",            "attributes": {              "id": 9864,              "ip": "43.197.122.240",              "alias": "string",              "port": 23726,              "notes": "string",              "server_id": 0,              "server_name": "string",              "assigned": false            }          },          "allocations": {            "object": "list",            "data": [              {                "object": "allocation",                "attributes": {                  "id": 9864,                  "ip": "43.197.122.240",                  "alias": "string",                  "port": 23726,                  "notes": "string",                  "server_id": 0,                  "server_name": "string",                  "assigned": false                }              }            ]          },          "user": {            "object": "user",            "attributes": {              "id": 22129,              "external_id": "string",              "uuid": "39ff92cf-453d-43be-ac47-89569dfba75e",              "username": "alayna44_cuxzkyiji9",              "email": "[email protected]",              "first_name": "Kenyatta",              "last_name": "O'Keefe",              "language": "en",              "root_admin": false,              "2fa": false,              "image": "https://gravatar.com/avatar/7dd464c5201a58aafc8fa80660971d52",              "servers_count": 0,              "subuser_of_count": 0,              "created_at": "2026-09-22T14:45:24+00:00",              "updated_at": "2026-09-22T14:45:24+00:00",              "relationships": {                "servers": {                  "object": "list",                  "data": [                    {}                  ]                }              }            },            "meta": {              "resource": "https://panel.example.com/api/admin/users/1"            }          },          "egg": {            "object": "egg",            "attributes": {              "id": 9880,              "uuid": "f05076e2-3f79-44fe-b9c3-007df7879f42",              "author": "[email protected]",              "name": "Mrs. Justina Gaylord",              "description": "Mollitia modi deserunt aut ab provident perspiciatis quo. Nostrum aut adipisci quidem nostrum. Commodi incidunt iure odit.",              "features": [                "eula"              ],              "docker_image": "ghcr.io/pterodactyl/yolks:java_23",              "docker_images": {                "Java 23": "ghcr.io/pterodactyl/yolks:java_23"              },              "force_outgoing_ip": false,              "config": {                "files": {                  "server.properties": {                    "parser": "properties",                    "find": {                      "server-port": "{{server.build.default.port}}"                    }                  }                },                "startup": {                  "done": [                    "Done"                  ]                },                "stop": "stop",                "logs": {                  "custom": true,                  "location": "logs/latest.log"                },                "file_denylist": [                  "secret.txt"                ],                "extends": 0              },              "startup": "java -jar test.jar",              "script": {                "privileged": true,                "install": "string",                "entry": "ash",                "container": "alpine:3.4",                "extends": 0              },              "created_at": "2026-09-22T14:45:26+00:00",              "updated_at": "2026-09-22T14:45:26+00:00",              "relationships": {                "variables": {                  "object": "list",                  "data": [                    {                      "object": "egg_variable",                      "attributes": {                        "id": 3952,                        "egg_id": 9881,                        "name": "Payton",                        "description": "Ipsum nostrum omnis autem et consequatur aut dolores enim.",                        "env_variable": "NON_FACERE",                        "default_value": "GoldenRod",                        "user_viewable": false,                        "user_editable": false,                        "rules": "required|string",                        "sort_order": 0,                        "created_at": "2026-09-22T14:45:26+00:00",                        "updated_at": "2026-09-22T14:45:26+00:00"                      }                    }                  ]                },                "tags": {                  "object": "list",                  "data": [                    {                      "object": "tag",                      "attributes": {                        "id": 510,                        "name": "fugiat sunt",                        "slug": "fugiat-sunt",                        "color": "#54db8e",                        "is_predefined": false,                        "legacy_nest_id": 1,                        "eggs_count": 0,                        "nodes_count": 0,                        "created_at": "2026-09-22T14:45:25+00:00",                        "updated_at": "2026-09-22T14:45:25+00:00"                      },                      "meta": {                        "resource": "https://panel.example.com/api/admin/tags/1"                      }                    }                  ]                },                "servers": {                  "object": "list",                  "data": [                    {}                  ]                }              }            },            "meta": {              "resource": "https://panel.example.com/api/admin/eggs/1"            }          },          "variables": {            "object": "list",            "data": [              {                "object": "server_variable",                "attributes": {                  "id": 1,                  "egg_id": 1,                  "name": "Server Jar File",                  "description": "The jar file to run.",                  "env_variable": "SERVER_JARFILE",                  "default_value": "server.jar",                  "server_value": "server.jar",                  "user_viewable": true,                  "user_editable": true,                  "rules": "required|string",                  "required": true,                  "sort_order": 1,                  "created_at": "2026-01-01T00:00:00+00:00",                  "updated_at": "2026-01-01T00:00:00+00:00"                }              }            ]          },          "node": {            "object": "node",            "attributes": {              "id": 13380,              "uuid": "0c8baf15-4a20-49b5-b738-109796b553e1",              "public": true,              "name": "FactoryNode_K98YXFAsPq",              "description": "string",              "location_id": 16046,              "fqdn": "74.174.140.253",              "scheme": "http",              "behind_proxy": false,              "maintenance_mode": false,              "memory": 1024,              "memory_overallocate": 0,              "disk": 10240,              "disk_overallocate": 0,              "upload_size": 100,              "daemon_listen": 8080,              "daemon_sftp": 2022,              "daemon_base": "/var/lib/pterodactyl/volumes",              "created_at": "2026-09-22T14:45:25+00:00",              "updated_at": "2026-09-22T14:45:25+00:00",              "servers_count": 0,              "allocated_resources": {                "memory": 0,                "disk": 0              },              "relationships": {                "location": {                  "object": "location",                  "attributes": {                    "id": 16053,                    "short": "yXYh3ig7",                    "long": "DtTf5dbTXXUq1fV3VBHWMKFch7pKkxN4",                    "nodes_count": 0,                    "servers_count": 0,                    "created_at": "2026-09-22T14:45:26+00:00",                    "updated_at": "2026-09-22T14:45:26+00:00",                    "relationships": {                      "nodes": {                        "object": "list",                        "data": [                          {}                        ]                      }                    }                  },                  "meta": {                    "resource": "https://panel.example.com/api/admin/locations/1"                  }                }              }            },            "meta": {              "resource": "https://panel.example.com/api/admin/nodes/1"            }          }        }      },      "meta": {        "resource": "https://panel.example.com/api/admin/servers/1"      }    }  ],  "meta": {    "pagination": {      "total": 1,      "count": 1,      "per_page": 50,      "current_page": 1,      "total_pages": 1,      "links": {        "property1": "string",        "property2": "string"      }    }  }}